Package org.apache.sis.storage.event

# Class WarningEvent

Object
EventObject
StoreEvent
WarningEvent

All Implemented Interfaces:
  `Serializable`, `Localized`

public class WarningEvent extends StoreEvent
Describes non-fatal errors that occurred in a resource or a data store. The warning message is encapsulated in a `LogRecord` object, which allows the storage of various information (stack trace, thread identifier, log time, etc.) in addition of warning message.

Since:
  1.0
See Also:
  - Serialized Form

Defined in the `sis-storage` module

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarningEvent(Resource source, LogRecord description)`
  Constructs an event for a warning that occurred in the given resource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LogRecord`
  `getDescription()`
  Returns the warning message together with stack trace (if any) and other information.
  `String`
  `toString()`
  Returns a string representation of this warning for debugging purpose.

  ### Methods inherited from class StoreEvent

  `getLocale, getSource`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WarningEvent

    public WarningEvent(Resource source, LogRecord description)
    Constructs an event for a warning that occurred in the given resource.
    Parameters:
      `source` - the resource on which the warning initially occurred.
      `description` - log record containing warning message, stack trace (if any) and other information.
    Throws:
      `IllegalArgumentException` - if the given source is null.
      `NullPointerException` - if the given description is null.

- ## Method Details

  - ### getDescription

    public LogRecord getDescription()
    Returns the warning message together with stack trace (if any) and other information.
    Returns:
      the log record containing warning message, stack trace and other information.

  - ### toString

    public String toString()
    Returns a string representation of this warning for debugging purpose.
    Overrides:
      `toString` in class `EventObject`
    Returns:
      a string representation of this warning.